# SourcePath: net-tools/20041111dev
Summary   	: The basic tools for setting up networking.
Name	  	: sony-target-dev-net-tools
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-net-tools
Version	  	: 1.60
Release: 08020701
URL		: http://www.tazenda.demon.co.uk/phil/net-tools
Source	  	: http://www.tazenda.demon.co.uk/phil/net-tools/net-tools_%{version}.orig.tar.gz
Source1		: net-tools-custom-config.h
Source2		: net-tools-1.57-config.make
Patch0		: net-tools-1.56-fhs.patch
Patch1		: net-tools-1.57-bug9215.patch
Patch2		: net-tools-1.57-bug9129.patch
Patch3		: net-tools-1.57-bug20570.patch
Patch4		: net-tools-1.57-bug22040.patch
Patch5		: net-tools-1.57-bug25474.patch
Patch6		: net-tools_1.60-1.diff.gz
Patch7		: net-tools-1.60-usagi-ipv6.diff
Patch8		: net-tools-mll.diff
Patch100	: net-tools-syntax-error.patch
Patch101	: net-tools-1.60-netdevice.patch
Patch102	: net-tools-miiphy.patch
Patch103	: net-tools-1.60-stddef.patch
License 	: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_relocation}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

#
#	SRPM
#

%description

The net-tools package contains the basic tools needed for setting up
networking:  ethers, route and others.


#
#	RPM
#
%package -n %{pkgname}
Summary   	: The basic tools for setting up networking.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}

The net-tools package contains the basic tools needed for setting up
networking:  ethers, route and others.


%prep

# %target_check

%setup -n net-tools-%{version}
#%patch0 -p 1
#%patch1 -p 1
#%patch2 -p 1
#%patch3 -p 1
#%patch4 -p 1 
#%patch5 -p 1
%patch6 -p 1
%patch7 -p 1
%patch8 -p 1
%patch100 -p 1
%patch101 -p 1
%patch102 -p 1
%patch103 -p 1
cp %SOURCE1 ./config.h
cp %SOURCE2 ./config.make


%build

%sony_target_dev_setup

make CC="$CC"


%install
%sony_target_dev_install_setup
rm -rf %{buildroot}

make CC="$CC" install BASEDIR=%{buildroot}%{sony_target_dir}%{sony_target_dev_dir} mandir=/usr/man

# busybox command conflict
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/* %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

ln -s hostname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/domainname
ln -s hostname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/ypdomainname
ln -s hostname %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/nisdomainname


# gzip -v9 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man*/*
cp COPYING LICENSE
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/bin/domainname
%{sony_target_dir}%{sony_target_dev_dir}/bin/netstat
%{sony_target_dir}%{sony_target_dev_dir}/bin/nisdomainname
%{sony_target_dir}%{sony_target_dev_dir}/bin/ypdomainname
%{sony_target_dir}%{sony_target_dev_sbin_dir}/arp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ifconfig
%{sony_target_dir}%{sony_target_dev_sbin_dir}/route
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ipmaddr
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptunnel
%{sony_target_dir}%{sony_target_dev_sbin_dir}/mii-tool
%{sony_target_dir}%{sony_target_dev_sbin_dir}/nameif
%{sony_target_dir}%{sony_target_dev_sbin_dir}/plipconfig
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rarp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/slattach
%{sony_target_dir}%{sony_target_dev_data_dir}/locale/*/LC_MESSAGES/*

%changelog
* Mon Sep 28 2020 Sony Corporation
- Initial build for CE Linux 8.2.7.X

* Wed Nov 21 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Wed Apr 13 2005 Sony Corporation
- change ioctl parameter define

* Fri Dec 17 2004 Sony Corporation
- include <linux/netdevice.h> for 2.6.9

* Tue Nov 11 2004 Sony Corporation
- add Distribution,Vendor,Packager

* Tue Nov 10 2004 Sony Corporation
- change  Name: net-tools -> Name: sony-target-dev-net-tools

* Thu Nov 02 2004 Sony Corporation - dev-net-tools
- Initial build.
